From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 2 of 6] USB Config.help update

Hi,

Here's a patch against 2.5.3-pre5 that adds a Config.help entry for the
CONFIG_USB_OHCI_HCD item.

thanks,

greg k-h



diff -Nru a/drivers/usb/hcd/Config.help b/drivers/usb/hcd/Config.help
--- a/drivers/usb/hcd/Config.help	Fri Jan 25 10:30:00 2002
+++ b/drivers/usb/hcd/Config.help	Fri Jan 25 10:30:00 2002
@@ -21,3 +21,18 @@
   The module will be called ehci-hcd.o. If you want to compile it as a
   module, say M here and read <file:Documentation/modules.txt>.
 
+OHCI (most USB hosts except VIA, Intel PIIX) support
+CONFIG_USB_OHCI_HCD
+  The Open Host Controller Interface (OHCI) is a standard for accessing
+  USB 1.1 host controller hardware.  It does more in hardware than Intel's
+  UHCI specification.  If your USB host controller follows the OHCI spec,
+  say Y.  On most non-x86 systems, and on x86 hardware that's not using a
+  USB controller from Intel or VIA, this is appropriate.  If your host
+  controller doesn't use PCI, this is probably appropriate.  For a PCI
+  based system where you're not sure, the "lspci -v" entry will list the
+  right "prog-if" for your USB controller(s):  EHCI, OHCI, or UHCI.
+
+  This code is also available as a module ( = code which can be
+  inserted in and removed from the running kernel whenever you want).
+  The module will be called ohci-hcd.o. If you want to compile it
+  as a module, say M here and read <file:Documentation/modules.txt>.

